Check provider registration
GET
/provider/registration/{wallet}
const url = 'https://api.katara.com/v1/provider/registration/example';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.katara.com/v1/provider/registration/examplePublic registration status used during provider setup. The response contains public addresses only.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”wallet
required
string
Public provider wallet address.
Responses
Section titled “Responses”Current provider registration.
Media typeapplication/json
object
wallet
required
string
service_key
required
string
active
required
boolean
flagged
required
boolean
Examplegenerated
{ "wallet": "example", "service_key": "example", "active": true, "flagged": true}The wallet address is invalid.
The provider is not registered.